%define modname colorer
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A48_%{modname}.ini

Summary:	Syntax highlighting for PHP
Name:		php-%{modname}
Version:	0.7
Release:	%mkrel 14
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/colorer
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tar.bz2
Patch0:		colorer-0.7-no_rpath.diff
BuildRequires:	php-devel >= 3:5.2.0
BuildRequires:	libcolorer-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Colorer take5 is a syntax highlighting and text parsing library, that provides
services of text parsing in host editor systems in real-time and transforming
results into colored text. For details, see http://colorer.sourceforge.net/
   
While colorer is primarily designed for use with text editors, it can be also
used for non-interactive syntax highlighting, for example, in web
applications. This PHP extension provides basic functions for syntax
highlighting.

%prep

%setup -q -n %{modname}-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

%patch0 -p0

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" config.m4

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}
%make
mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%post
if [ -f /var/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart >/dev/null || :
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f /var/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart >/dev/null || :
    fi
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CREDITS EXPERIMENTAL README TODO package*.xml 
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}


%changelog
* Mon Feb 04 2008 Oden Eriksson <oeriksson@mandriva.com> 0.7-14mdv2008.1
+ Revision: 162215
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Nov 11 2007 Oden Eriksson <oeriksson@mandriva.com> 0.7-13mdv2008.1
+ Revision: 107608
- restart apache if needed

* Sat Sep 01 2007 Oden Eriksson <oeriksson@mandriva.com> 0.7-12mdv2008.0
+ Revision: 77530
- rebuilt against php-5.2.4

* Fri Jun 15 2007 Oden Eriksson <oeriksson@mandriva.com> 0.7-11mdv2008.0
+ Revision: 40052
- rebuild
- use distro conditional -fstack-protector

* Fri Jun 01 2007 Oden Eriksson <oeriksson@mandriva.com> 0.7-9mdv2008.0
+ Revision: 33800
- rebuilt against new upstream version (5.2.3)

* Thu May 03 2007 Oden Eriksson <oeriksson@mandriva.com> 0.7-8mdv2008.0
+ Revision: 21320
- rebuilt against new upstream version (5.2.2)


* Thu Feb 08 2007 Oden Eriksson <oeriksson@mandriva.com> 0.7-7mdv2007.0
+ Revision: 117550
- rebuilt against new upstream version (5.2.1)
- fix deps
- rebuilt for php-5.2.0
- Import php-colorer

* Mon Aug 28 2006 Oden Eriksson <oeriksson@mandriva.com> 0.7-4
- rebuilt for php-5.1.6

* Sat May 06 2006 Oden Eriksson <oeriksson@mandriva.com> 0.7-3mdk
- rebuilt for php-5.1.4

* Sat May 06 2006 Oden Eriksson <oeriksson@mandriva.com> 0.7-2mdk
- rebuilt for php-5.1.3

* Tue Mar 21 2006 Oden Eriksson <oeriksson@mandriva.com> 0.7-1mdk
- initial mandriva package

